BeamSectionCollection Class

class NXOpen.CAE.BeamSectionCollection

Bases: object

Represents the collection of all NXOpen.CAE.BeamSection in a fem part

To obtain an instance of this class, refer to NXOpen.CAE.BaseFEModel

New in version NX5.0.0.

Methods

Method Description
CloneSection Creates a copy of a beam cross section
CopyAsGeneralGeometrySection Copies a section to a new general geometry section
CreateGeneralGeometryBeamSectionBuilder Creates a general geometry section builder.
CreateStandardBeamSectionBuilder Creates a standard section builder
CreateUserDefinedSolidBeamSectionBuilder Creates a user-defined solid section builder.
FindObject Finds the NXOpen.CAE.BeamSection with the given identifier as recorded in a journal.

Method Detail

CloneSection

BeamSectionCollection.CloneSection

Creates a copy of a beam cross section

Signature CloneSection(sourceSection)

Parameters:sourceSection (NXOpen.CAE.BeamSection) – Section to be copied
Returns:Cloned section
Return type:NXOpen.CAE.BeamSection

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CopyAsGeneralGeometrySection

BeamSectionCollection.CopyAsGeneralGeometrySection

Copies a section to a new general geometry section

Signature CopyAsGeneralGeometrySection(sourceSection)

Parameters:sourceSection (NXOpen.CAE.BeamSection) – Section to be copied
Returns:Copied general geometry section
Return type:NXOpen.CAE.GeneralGeometryBeamSection

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateGeneralGeometryBeamSectionBuilder

BeamSectionCollection.CreateGeneralGeometryBeamSectionBuilder

Creates a general geometry section builder.

Signature CreateGeneralGeometryBeamSectionBuilder(section)

Parameters:section (NXOpen.CAE.GeneralGeometryBeamSection) – NXOpen.CAE.GeneralGeometryBeamSection to be edited
Returns:General geometry beam section builder
Return type:NXOpen.CAE.GeneralGeometryBeamSectionBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateStandardBeamSectionBuilder

BeamSectionCollection.CreateStandardBeamSectionBuilder

Creates a standard section builder

Signature CreateStandardBeamSectionBuilder(section)

Parameters:section (NXOpen.CAE.StandardBeamSection) – NXOpen.CAE.StandardBeamSection to be edited
Returns:Standard beam section builder
Return type:NXOpen.CAE.StandardBeamSectionBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateUserDefinedSolidBeamSectionBuilder

BeamSectionCollection.CreateUserDefinedSolidBeamSectionBuilder

Creates a user-defined solid section builder.

Signature CreateUserDefinedSolidBeamSectionBuilder(section)

Parameters:section (NXOpen.CAE.UserDefinedSolidBeamSection) – NXOpen.CAE.UserDefinedSolidBeamSection to be edited
Returns:User-defined solid beam section builder
Return type:NXOpen.CAE.UserDefinedSolidBeamSectionBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

BeamSectionCollection.FindObject

Finds the NXOpen.CAE.BeamSection with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Beam Section name
Returns:Beam Section with this identifier
Return type:NXOpen.CAE.BeamSection

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)